<%= form_with(model: employee, local: true) do |form| %>
  <% if employee.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(employee.errors.count, "error") %> prohibited this employee from being saved:</h2>

      <ul>
        <% employee.errors.full_messages.each do |message| %>
          <li><%= message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :name %>
    <%= form.text_field :name %>
  </div>

  <div class="field">
    <%= form.label :address %>
    <%= form.text_area :address %>
  </div>

  <div class="field">
    <%= form.label :salary %>
    <%= form.text_field :salary %>
  </div>

  <div class="field">
    <%= form.label :branch_id %>
    <%= form.number_field :branch_id %>
  </div>

  <div class="actions">
    <%= form.submit %>
  </div>
<% end %>
